﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Infragistics.Controls.Menus;

namespace XamDataTreeIsChecked
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new LibraryBusinessLogic().Categories;
        }

        void Node_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            (sender as XamDataTreeNodeControl).Node.IsChecked = !(sender as XamDataTreeNodeControl).Node.IsChecked;
            (sender as XamDataTreeNodeControl).Node.IsExpanded = !(sender as XamDataTreeNodeControl).Node.IsExpanded;
        }

        bool MyCheck = false;
        private void xamDataTree1_NodeCheckedChanged(object sender, NodeEventArgs e)
        {    
            if (e.Node.Manager.ParentNode != null )
            {
                foreach (var item in e.Node.Manager.ParentNode.Nodes)
                {
                    if (item.IsChecked == true && item.Index != e.Node.Index && !MyCheck )
                    {
                        MyCheck = true;
                        item.IsChecked = false;  
                    }
                }                  
            }
            MyCheck = false;
        }
    }
    
}
